package com.zcxk.rmcp.web.service;


import com.zcxk.rmcp.api.dto.product.ProductVo;
import com.zcxk.rmcp.api.vo.ProductCategoryVo;
import com.zcxk.rmcp.core.entity.Product;

import java.util.List;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 9:43
 */
public interface ProductService{


    int insertSelective(Product record);

    int updateByPrimaryKeySelective(Product record);

    Product getByName(String productName, String productModel);

    Product findById(Integer productId);

    List<ProductVo> getProductList(Integer categoryId);

    List<ProductCategoryVo> getCategoryList();

}
